Bug 867 - g++ does not compile qt library's kernel/moc_qnetworkprotocol.cpp
Summary: g++ does not compile qt library's kernel/moc_qnetworkprotocol.cpp
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: 2.95.2
: P2 critical
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-11-22 08:16 UTC by thomas.soddemann
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
bugsrc.tar.bz2 (76.54 KB, application/octet-stream)
2003-05-21 15:16 UTC, thomas.soddemann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description thomas.soddemann 2000-11-22 08:16:00 UTC
The following command triggers the problem:

 g++ -c -I. -D_POSIX_SOURCE -D_OSF_SOURCE -D_AES_SOURCE -O2 -fPIC
-DQT_BUILTIN_GIF_READER=0 -DQT_NO_IMAGEIO_JPEG -DQT_NO_IMAGEIO_MNG
-DQT_NO_SM_SUPPORT -o moc_qnetworkprotocol.o moc_qnetworkprotocol.cpp

Error output:

moc_qnetworkprotocol.cpp: In function `static class QMetaObject *
QNetworkProtocol::staticMetaObject()': moc_qnetworkprotocol.cpp:141: Internal
compiler error in `gen_reload_inhi', at insn-emit.c:5550 Please submit a full
bug report. See <URL:http://www.gnu.org/software/gcc/faq.html#bugreport> for
instructions.

I have attached a bzipped tar file which includes all necessary headers
and the .ii file

The problem does not occur with Intel Linux.

Release:
gcc version 2.95.2 19991024 (release)

Environment:
# uname -a 
OSF1 xxx V4.0 1091 alpha 
EV67 and EV56
OSF 4.0E + F
Comment 1 Neil Booth 2001-06-16 06:01:46 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Your .ii file compiles fine for me, and we've had reports of successful Qt compiles with 3.0.